## architecture-properties 0.1.1~cloud0

=== debian/changelog ===
architecture-properties (0.1.1~cloud0) jammy-bobcat; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Jul 2023 18:31:14 +0000

architecture-properties (0.1.1) unstable; urgency=medium

  * Upload to unstable.

 -- Niels Thykier <niels@thykier.net>  Mon, 19 Dec 2022 20:52:18 +0000

architecture-properties (0.1) experimental; urgency=medium

  * Initial release.

 -- Niels Thykier <niels@thykier.net>  Wed, 14 Dec 2022 14:00:16 +0000
