## architecture-properties 0.1.1~pgdg22.04+3

=== debian/changelog ===
architecture-properties (0.1.1~pgdg22.04+3) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Dec 2022 20:52:18 +0000
