## architecture-properties 0.1.1~pgdg110+3

=== debian/changelog ===
architecture-properties (0.1.1~pgdg110+3) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Dec 2022 20:52:18 +0000
