## architecture-properties 0.2.5

=== debian/changelog ===
architecture-properties (0.2.5) unstable; urgency=medium

  * d/control: Clarify that the cross-exe-wrapper variables are intentional

 -- Niels Thykier <niels@thykier.net>  Sun, 26 Jan 2025 10:50:00 +0000

architecture-properties (0.2.4) unstable; urgency=medium

  * d/control: Expand variables in `cross-exe-wrapper`'s Description
    (Closes: #1094186)

 -- Niels Thykier <niels@thykier.net>  Sun, 26 Jan 2025 10:14:03 +0000
