## architecture-properties 0.2.6

=== debian/changelog ===
architecture-properties (0.2.6) unstable; urgency=medium

  [ wuruilong ]
  * Please add support for loong64 (Closes: #1098935)

 -- Niels Thykier <niels@thykier.net>  Thu, 27 Feb 2025 07:00:56 +0000
