=== debian/control ===
--- 
+++ 
@@ -71,6 +71,9 @@
 # that e.g. no qemu is required for installing cross-exe-wrapper:i386 on amd64
 # as we can reliably run i386 executables there without emulation.
 Description: Wrapper for executing binaries from other architectures
- Provide a tool ${DEB_HOST_GNU_TYPE}-cross-exe-wrapper that can be
+ Provides a tool ${DEB_HOST_GNU_TYPE}-cross-exe-wrapper that can be
  used to run ${DEB_HOST_ARCH} ELF executables on the current CPU
  employing emulation technology if required.
+ .
+ Since the tools are named per architecture, they should generally
+ always be referred to via the substituion variable as done above.
